<div class="uk-flex uk-flex-left rd-app-container">

  <div class="rd-app-left">
    <div class="uk-flex uk-flex-right uk-margin-small-right">
      <span id="rd-param-label" class="uk-text-bold uk-text-uppercase uk-text-muted">Параметры отчета</span>
      <span id="rd-button-menu-rigth" class="rd-button uk-icon-button" uk-icon="icon: chevron-double-right; ratio: 1.5"></span>
      <span id="rd-button-menu-left" class="rd-button uk-icon-button" uk-icon="icon: chevron-double-left; ratio: 1.5" style="display: none"></span>
    </div>

    <div class="uk-flex uk-flex-left rd-report-settings" style="display: none">
      <div class="uk-margin rd-menu-block">

        <div class="uk-grid-small uk-grid uk-margin-bottom uk-margin-top" uk-grid style="align-items: flex-end;">
          <div class="uk-width-3-4@s uk-first-column">
            <label class="uk-form-label" for="rd-registry-list">Список реестров</label>
            <div class="uk-form-controls">
              <select class="uk-select" id="rd-registry-list">
                <option disabled selected></option>
              </select>
            </div>
          </div>
          <div class="uk-inline uk-width-1-5@s">
            <button id="rd-button-select-report-template" class="uk-button uk-button-default" disabled>Шаблоны</button>
          </div>
        </div>

        <div class="rd-template-block" style="display: none">
          <input id="rd-template-name" class="uk-input" type="text" style="width: 80%;" title="Наименование шаблона" disabled />
          <button id="rd-button-save-report-template" class="uk-button uk-button-default" title="Сохранить" disabled>
            <span class="uk-icon">
              <svg  xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="20px" height="20px" viewBox="0 0 200 208" enable-background="new 0 0 200 208" xml:space="preserve">
                <g>
                  <rect x="52" y="20" fill="none" stroke="#000" width="12" height="24"/>
                  <path fill="none" stroke="#000" d="M32,120v80h136v-80H32z M156,172H44v-8h112V172z M156,156H44v-8h112V156z M156,140H44v-8h112V140z"/>
                  <path fill="none" stroke="#000" d="M156,56V8H40v48H156z M44,12h28v40H44V12z"/>
                  <path fill="none" stroke="#000" d="M164,8.0128V64H32V8H8v192h16v-88h152v88h16V36.244C192,20.7528,179.46,8.1464,164,8.0128z"/>
                  <path d="M164,0.0128V0h-0.2461H32H0v208h24h152h24V36.244C200,16.3428,183.8703,0.1468,164,0.0128z M156,8v48H40V8H156z M32,200v-80h136v80H32z M192,200h-16v-88H24v88H8V8h24v56h132V8.0128c15.46,0.1336,28,12.74,28,28.2312V200z"/>
                  <path fill="none" stroke="#000" d="M72,12H44v40h28V12z M64,44H52V20h12V44z"/>
                  <rect fill="none" stroke="#000" x="44" y="132" width="112" height="8"/>
                  <rect fill="none" stroke="#000" x="44" y="148" width="112" height="8"/>
                  <rect fill="none" stroke="#000" x="44" y="164" width="112" height="8"/>
                </g>
              </svg>
            </span>
          </button>
          <button id="rd-button-refresh-report-template" class="uk-button uk-button-default" title="Очистить параметры" disabled>
            <span uk-icon="icon: minus-circle"></span>
          </button>
          <button id="rd-button-delete-report-template" class="uk-button uk-button-default" title="Удалить" disabled>
            <span uk-icon="icon: trash"></span>
          </button>
        </div>

        <div id="rd-params-block" style="display: none;">
          <div class="uk-grid-small uk-grid uk-margin-bottom uk-margin-top" uk-grid>
            <div class="uk-width-3-4@s uk-first-column">
              <div id="rd-form-param-list"></div>
            </div>
            <div class="uk-inline uk-width-1-5@s">
              <button id="rd-button-select-col" class="uk-button uk-button-default">Столбцы</button>
            </div>
          </div>

          <label class="uk-form-label" for="rd-table-params">Условия:</label>
          <div class="uk-form-controls uk-overflow-auto rd-table-params-container">
            <table id="rd-table-params" class="uk-table uk-table-justify uk-table-divider">
              <tbody></tbody>
            </table>
          </div>

          <div class="uk-form-controls uk-margin-small-top uk-flex uk-flex-center">
            <button id="rd-button-apply-params" class="uk-button uk-button-primary">Применить</button>
          </div>
        </div>

      </div>
    </div>

  </div>

  <div class="rd-app-content">

    <div class="rd-button-container uk-flex uk-flex-right uk-margin-small-right">
      <div id="rd-filter-name" class="uk-text-uppercase uk-text-muted uk-margin-small-left" style="flex: auto; display: none;"></div>
      <button id="rd-download-button" style="display: none;" class="uk-button uk-button-primary uk-button-small uk-margin-small-right" type="button"><span uk-icon="icon: download"></span>Скачать Excel</button>
      <button id="rd-filter-menu-button" style="display: none;" class="uk-button uk-button-default uk-button-small" type="button" uk-toggle="target: #rd-filter"><span uk-icon="icon: settings"></span>Фильтр</button>
    </div>


    <div id="rd-filter" uk-offcanvas="flip: true">
      <div class="uk-offcanvas-bar">
        <div class="rd-filter-nav"></div>
        <div class="uk-flex uk-flex-center">
          <button id="rd-filter-button" style="display: none;" class="uk-button uk-button-primary" type="button">Применить</button>
        </div>
      </div>
    </div>

    <div class="rd-table-container uk-overflow-auto"></div>

  </div>
</div>
